## virtualbox 7.0.10-dfsg

=== debian/changelog ===
virtualbox (7.0.10-dfsg-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jul 2023 13:36:19 -0700

virtualbox (7.0.10-dfsg-2) unstable; urgency=medium

  * Add patch to fix gcc-13 related build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:24 +0200

virtualbox (7.0.10-dfsg-1) unstable; urgency=medium

  * Refresh patches with upstream versions
  * New upstream version 7.0.10-dfsg
  * refresh patches, drop python3.11 and lzma patches,
    now part of upstream codebase

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:20 +0200

virtualbox (7.0.8-dfsg-2) unstable; urgency=medium

  * Fixup typo in patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Apr 2023 23:11:50 +0200
