## virtualbox 7.0.14-dfsg

=== debian/changelog ===
virtualbox (7.0.14-dfsg-4~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Apr 2024 10:35:54 -0700

virtualbox (7.0.14-dfsg-4) unstable; urgency=medium

  * Add patch from Xu Zhen (xuzhen666) to fix kernel module build LP: #2053024)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2024 17:02:07 +0100

virtualbox (7.0.14-dfsg-3) unstable; urgency=medium

  * Install man page for help (LP: #2054788)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2024 11:13:01 +0100

virtualbox (7.0.14-dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fixes for kernel 6.8 and USBSAN (LP: #2053024
    LP: #2037082, Closes: #1061917)
  * debian/patches:
    - 102989.patch
    - 102990.patch
    - 102992.patch
    - 102993.patch
    - 102994.patch
    - 102999.patch
    - 103024.patch
    - 103066.patch
    - 103067.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 16:43:37 +0100

virtualbox (7.0.14-dfsg-1) unstable; urgency=medium

  * Bump kbuild dependency to fix an SDL related build failure
  * Update get-orig-source.sh script
  * New upstream version 7.0.14-dfsg
  * Update copyright years
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 09:59:13 +0100
