=== debian/control ===
--- 
+++ 
@@ -105,11 +105,12 @@
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          virtualbox-qt (= ${binary:Version}),
+         virtualbox-guest-additions-iso,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends}
-Suggests: vde2, virtualbox-guest-additions-iso
+Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
@@ -197,6 +198,9 @@
 Package: virtualbox-guest-utils
 Architecture: amd64 i386
 Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
+#Conflicts: time-daemon, ntp
+#Provides: time-daemon
+#Replaces: time-daemon
 Suggests: virtualbox-guest-x11 (= ${binary:Version})
 Description: x86 virtualization solution - non-X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range
