## virtualbox 7.0.16

=== src/libs/dxvk-native-1.9.2a/meson_options.txt ===
option('enable_tests', type : 'boolean', value : false)
option('enable_dxgi',  type : 'boolean', value : true, description: 'Build DXGI')
option('enable_d3d9',  type : 'boolean', value : true, description: 'Build D3D9')
option('enable_d3d10', type : 'boolean', value : true, description: 'Build D3D10')
option('enable_d3d11', type : 'boolean', value : true, description: 'Build D3D11')
option('build_id',     type : 'boolean', value : false)

option('dxvk_native_force', type : 'boolean', value : false,  description: 'Force building using DXVK native. Eg. for Windows')
option('dxvk_native_wsi',   type : 'string',  value : 'sdl2', description: 'WSI system to use if building natively.')
