## virtualbox 7.0.16-dfsg

=== debian/changelog ===
virtualbox (7.0.16-dfsg-2) unstable; urgency=medium

  * Update manpages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2024 08:41:38 +0200

virtualbox (7.0.16-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.16-dfsg
  * Update get-orig-source script
  * Drop patches part of upstream codebase:
    - 102989
    - 102990
    - 102992
    - 102993
    - 102994
    - 102999
    - 103024
    - 103066
    - 103067
    - fix-kernel-build gcc-13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 23:14:45 +0200
