=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: acpica-tools,
-               bzip2,
+Build-Depends: bzip2,
                debhelper-compat (= 12),
                default-jdk,
+               jaxws,
                dh-python,
                dh-sequence-dkms,
                docbook-xml,
@@ -18,7 +17,7 @@
                genisoimage,
                glslang-tools,
                gsoap,
-               jaxws,
+               acpica-tools,
                kbuild (>= 1:0.1.9998svn3589~),
                libasound2-dev,
                libcap-dev,
@@ -29,16 +28,17 @@
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libgsoap-dev,
-               libidl-dev,
                liblzf-dev,
                liblzma-dev,
+               libidl-dev,
                libogg-dev,
                libpam0g-dev,
                libpixman-1-dev,
                libpng-dev,
                libpulse-dev,
+               libqt5x11extras5-dev,
                libqt5opengl5-dev,
-               libqt5x11extras5-dev,
+               qttools5-dev,
                libsdl1.2-dev,
                libsdl2-dev,
                libssl-dev,
@@ -66,7 +66,6 @@
                module-assistant,
                nasm,
                python3-dev,
-               qttools5-dev,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -104,13 +103,11 @@
          iproute2,
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
-         virtualbox-qt (= ${binary:Version}),
-         virtualbox-guest-additions-iso,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ${shlibs:Recommends}
-Suggests: vde2
+Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
+Suggests: vde2, virtualbox-guest-additions-iso
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
@@ -126,7 +123,7 @@
            virtualbox-5.2,
            virtualbox-6.0,
            virtualbox-6.1,
-           virtualbox-7.0
+           virtualbox-7.0,
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -179,8 +176,8 @@
 Section: contrib/x11
 Architecture: amd64 i386
 Depends: libnotify-bin,
+         x11-xserver-utils,
          virtualbox-guest-utils (= ${binary:Version}),
-         x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends},
          ${xserver:Depends}
@@ -197,7 +194,10 @@
 
 Package: virtualbox-guest-utils
 Architecture: amd64 i386
-Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         pciutils,
+         ${misc:Depends},
+         ${shlibs:Depends}
 #Conflicts: time-daemon, ntp
 #Provides: time-daemon
 #Replaces: time-daemon
