=== debian/rules ===
--- 
+++ 
@@ -171,7 +171,7 @@
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='$(sname)-dbg'
 
 	# strip files not handled by dh_strip
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
